Subject: Re: Question about "=" encoding (fwd)

From: Paul O Bartlett <[email-masked]>
Date: Sun, 30 Jun 1996 18:21:27 -0400

I will go out on an etiquette limb and repost this, as I have not
so far received any replies either in the newsgroup or by email.  Sven
Guckes originally posted the one-line Perl script to convert =xx type
quoted-printable characters, but unfortunately all I get is a locked-up
session.  Because I do receive mail with untranslated QP characters in
them, a working translator would be very welcome.

    Thanks very much.

Paul                             <[email-masked]>
----------------------------------------------------------
Paul O. Bartlett, P.O. Box 857, Vienna, VA 22183-0857, USA
Finger, keyserver, or WWW for PGP 2.6.2 public key 
Home Page:  URL: http://www.access.digex.net/~pobart     

---------- Forwarded message ----------

On Sun, 23 Jun 1996, Paul O Bartlett wrote (excerpt):

> : qpdecode:
> : perl -pe 's/\=([0-9A-Fa-f]{2})/chr(hex($1))/ge; s/\=\n//;'
> 
>     Any suggestions on how actually to _use_ these utilities with Pine?
> When viewing a usenet message with quoted printable in it, just piping
> the message to 'qpdecode' above as an executable shell script simply
> locks things up tight.  I had to break the connection and dial back in. 

    Someone emailed me that "perl" above really refers to Perl 5.  On
my system, if I want Perl 5 I have to say "perl5" because Perl 4 is
still alive and well.

    However, even after making the change, Pine still locked up on me. 
The display would ripple (possibly due to a screen refresh) and "PIPED
MESSAGE" would appear in the message bar at the top of the screen. 
(BTW, I am using Pine 3.94 and dialing in with a PC emulating a
vt100.)  Things would more or less be locked up tight.  I could Ctrl-Z
back to a shell prompt and kill the Pine process, but that is about
all.  The only other command Pine would respond to is '?' to get the
prompts at the bottom of the screen (since I run with the prompts off
since version 3.93), and even then, none of the prompts would work.

    I wonder if there is some sort of problem with the latchup between
Perl and Pine in my configuration (SunOS 4.1.4).  Any suggestions
gratefully received, because it is truly annoying to try to read
messages with QP characters in them untranslated.